Refunds
Retry a failed refund
Retries a failed refund. Account details may be supplied to replace the destination account.
Authorization
BearerAuth AuthorizationBearer <token>
In: header
Path Parameters
reference*string
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X POST "https://example.com/api/v1/refund/RFD_1234567890/retry" \ -H "Content-Type: application/json" \ -d '{}'{
"requestId": "d385ab22-0f51-4b97-9ecd-b8ff3fd4fcb6",
"requestTimestamp": "2026-08-31 09:00:00.000",
"message": "Refund retry submitted successfully.",
"statusCode": 200,
"data": [
{
"id": "019a1639-ce25-70b7-ab20-16fcb2bac023",
"reference": "RFD_A1B2C3D4E5F6",
"originalTransactionReference": "TRN_A1B2C3D4E5F6",
"businessState": "test",
"type": "partial",
"status": "SUBMITTED",
"amount": {
"value": 5000,
"currency": "NGN",
"formatted": "NGN5000"
},
"currency": "NGN",
"sessionId": "000016250720091500123456789012",
"destinationAccountName": "Jane Doe",
"destinationAccountNumber": "0123456789",
"destinationBankName": "Guaranty Trust Bank",
"destinationBankCode": "058",
"initiator": {
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"name": "Jane Doe",
"email": "jane@example.com",
"role": "owner"
},
"scheduledFor": "2026-09-01T09:00:00+00:00",
"failureReason": "string",
"createdAt": "2026-08-31T09:00:00+00:00"
}
],
"links": {},
"meta": {
"current_page": 1,
"from": 1,
"last_page": 1,
"per_page": 15,
"to": 1,
"total": 1
}
}Empty
Empty
How is this guide?
Last updated on